import { GebaeudeClient, VerbrauchsausweisWohnenClient } from "#components/Ausweis/types";

export function auditBedarfsausweisBenoetigt(ausweis: VerbrauchsausweisWohnenClient, gebaeude: GebaeudeClient): boolean {

	if (gebaeude.baujahr_gebaeude && gebaeude.baujahr_gebaeude.length > 0) {
		return (
			(gebaeude.baujahr_gebaeude[0] < 1978 &&
				(gebaeude.einheiten || 0) <= 4 &&
				gebaeude.saniert == false &&
				(ausweis.ausstellgrund == "Vermietung" ||
					ausweis.ausstellgrund == "Sonstiges" ||
					ausweis.ausstellgrund == "Verkauf")) ||
			ausweis.ausstellgrund == "Neubau" ||
			ausweis.ausstellgrund == "Modernisierung"
		);
	}

	return false
}
